#!/usr/bin/env python
# -*- coding:utf-8 -*-

import webiopi
import serial
import minimalmodbus
import json
import sys
import time
import datetime
import os
import re
import subprocess
from time import strftime
from subprocess import call


#=========================== SLAVE == ИНИЦИАЛИЗАЦИЯ С АДРЕСОМ 1========

instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 1) 	# slave address (in decimal) 
instrumentA.mode = minimalmodbus.MODE_RTU   				# rtu or ascii mode        
instrumentA.serial.baudrate = 9600  						# baud
instrumentA.serial.bytesize = 8
instrumentA.serial.parity   = serial.PARITY_NONE
instrumentA.serial.stopbits = 1
instrumentA.serial.timeout  = 1  							# seconds
i0=0														# variables
i1=0
i2=0
i3=0
i4=0
i5=0
i6=0
i7=0
i8=0
i9=0
i10=0
i11=0
i12=0

b0=0
b1=0
b2=0
b3=0
b4=0
b5=0
b6=0
b7=0
b8=0
b9=0
b10=0

a0=0
a1=0
a2=0
a3=0
a4=0
a5=0
a6=0
a7=0
a8=0
a9=0

GPIO = webiopi.GPIO
	
GPIO.setFunction(8, GPIO.OUT)			# реле №6
GPIO.setFunction(25, GPIO.OUT)			# реле №7
GPIO.setFunction(24, GPIO.OUT)			# реле №8





#===========================SCRIPT & MACROS==========



def loop():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 1)
    global i0, i1, i2, i3, i4, i5, i6, i7, i8, i9, i10, i11, i12	
    try:
        i0 = instrumentA.read_register(0, 0) 		# Чтение регистров данных
        i1 = instrumentA.read_register(1, 0) 
        i2 = instrumentA.read_register(2, 0) 
        i3 = instrumentA.read_register(3, 0)
        i4 = instrumentA.read_register(4, 0)
        i5 = instrumentA.read_register(5, 0)
        i6 = instrumentA.read_register(6, 0)
        i7 = instrumentA.read_register(7, 0)
        i8 = instrumentA.read_register(8, 0)	
        i9 = instrumentA.read_register(9, 0)	
        i10 = instrumentA.read_register(10, 0)	
        i11 = instrumentA.read_register(11, 0)
        i12 = instrumentA.read_register(12, 0)		# Чтение регистра знака градуса (0-плюс, 1-минус)
        
        print(i0,i1,i2,i3,i4,i5,i6,i7,i8,i9,i10,i11,i12)
        
		
        if i12 == 1:								# Проверка отрицательной температуры
            i0 = -i0
            print(i0)
        else:
            print(i0)
		
        f = open('/home/pi/myproject/html/logs/log_temp_out.txt', 'a')
        data_entry = "{0},{1}\n".format(strftime("%Y-%m-%d %H:%M:%S"),i0)
        f.write(data_entry)
        f.close()	
        
        f = open('/home/pi/myproject/html/logs/log_rh_out.txt', 'a')
        data_entry = "{0},{1}\n".format(strftime("%Y-%m-%d %H:%M:%S"),i1)
        f.write(data_entry)
        f.close()			
		
		
        f = open('/home/pi/myproject/html/logs/log_temp_input.txt', 'a')
        data_entry = "{0},{1},{2},{3},{4},{5}\n".format(strftime("%Y-%m-%d %H:%M:%S"),i2,i4,i6,i8,i10)
        f.write(data_entry)
        f.close()
		
		
        f = open('/home/pi/myproject/html/logs/log_rh_input.txt', 'a')
        data_entry = "{0},{1},{2},{3},{4},{5}\n".format(strftime("%Y-%m-%d %H:%M:%S"),i3,i5,i7,i9,i11)
        f.write(data_entry)
        f.close()
		
	
		
    except IOError:
#		print "Connection problem, gonna try again"
        pass
		

		
    time.sleep(300)


	

#def loop():	
    #instrumentA = minimalmodbus.Instrument('/dev/ttyAMA0', 2)
    #global a0, a1, a2, a3, a4, a5, a6, a7, a8, a9
    #try:	
        #a0 = instrumentA.read_register(1, 0)
        #a1 = instrumentA.read_register(2, 0)
        #a2 = instrumentA.read_register(3, 0)
        #a3 = instrumentA.read_register(4, 0)
        #a4 = instrumentA.read_register(5, 0)
        #a5 = instrumentA.read_register(6, 0)
        #a6 = instrumentA.read_register(7, 0)	
        #a7 = instrumentA.read_register(8, 0)	
        #a8 = instrumentA.read_register(9, 0)	
        #a9 = instrumentA.read_register(10, 0)	
	

        #print(a0,a1,a2,a3,a4,a5,a6,a7,a8,a9)
		
        #if a6 == 1:								# Проверка 
            #GPIO.digitalWrite(24, GPIO.LOW)
        #if a6 == 0:								# Проверка 
            #GPIO.digitalWrite(24, GPIO.HIGH)			
        #else:
            #pass

    #except IOError:
        #pass	
    #time.sleep(60)

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	

@webiopi.macro
def getData():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 1)
    global i0, i1, i2, i3, i4, i5, i6, i7, i8, i9, i10, i11, i12, i13	
    try:
        i0 = instrumentA.read_register(0, 0) # Чтение регистров данных
        i1 = instrumentA.read_register(1, 0) 
        i2 = instrumentA.read_register(2, 0) 
        i3 = instrumentA.read_register(3, 0)
        i4 = instrumentA.read_register(4, 0)
        i5 = instrumentA.read_register(5, 0)
        i6 = instrumentA.read_register(6, 0)
        i7 = instrumentA.read_register(7, 0)
        i8 = instrumentA.read_register(8, 0)	
        i9 = instrumentA.read_register(9, 0)	
        i10 = instrumentA.read_register(10, 0)	
        i11 = instrumentA.read_register(11, 0)
        i12 = instrumentA.read_register(12, 0)
        i13 = instrumentA.read_register(13, 0)		

		
        #i4 = instrument.read_bit(0) 		# Чтение бит (входы)
        #i5 = instrument.read_bit(1) 
        #i6 = instrument.read_bit(2) 		
        #i7 = instrument.read_bit(3) 
		
        #out_0 = instrument.write_bit(0,1)	# Запись бит (выходы)
        #out_1 = instrument.write_bit(1,1)
		
        lista = i0,i1,i2,i3,i4,i5,i6,i7,i8,i9,i10,i11,i12,i13
        print("lista",lista)
        return json.dumps(lista)
		
		
		
    except IOError:
#		print "Connection problem, gonna try again"
        pass
		
    #webiopi.sleep(1)
	
		
@webiopi.macro
def getRadio():	
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global a0, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10
    try:	
        a0 = instrumentA.read_register(1, 0)
        a1 = instrumentA.read_register(2, 0)
        a2 = instrumentA.read_register(3, 0)
        a3 = instrumentA.read_register(4, 0)
        a4 = instrumentA.read_register(5, 0)
        a5 = instrumentA.read_register(6, 0)
        a6 = instrumentA.read_register(7, 0)	
        a7 = instrumentA.read_register(8, 0)	
        a8 = instrumentA.read_register(9, 0)	
        a9 = instrumentA.read_register(10, 0)	
        a10 = instrumentA.read_register(11, 0)		

        lista = a0,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10
        print("lista",lista)
        return json.dumps(lista)

    except IOError:
#		print "Connection problem, gonna try again"
        pass	
	
	
	
################## УПРАВЛЕНИЕ ОСВЕЩЕНИЕМ #########################################		

# Включить свет в гостинной		
@webiopi.macro	
def getLight1_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global light1_on
    light1_on = instrumentA.write_register(1,1,0,6,False)		# Запись байта 1-й пульт, 1 = 00 01; 0 - знаков dex, 6 - функция	
	
# Выключить свет в гостинной		
@webiopi.macro	
def getLight1_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global light1_off
    light1_off = instrumentA.write_register(1,2,0,6,False)		# Запись байта 1-й пульт, 2 = 00 02; 		
	
# Включить свет в спальне		
@webiopi.macro	
def getLight2_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global light2_on
    light2_on = instrumentA.write_register(1,3,0,6,False)		# Запись байта 1-й пульт, 3 = 00 03; 
	
# Выключить свет в спальне		
@webiopi.macro	
def getLight2_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global light2_off
    light2_off = instrumentA.write_register(1,4,0,6,False)		# Запись байта 1-й пульт, 4 = 00 04; 	
	
	
# Включить свет в кухне		
@webiopi.macro	
def getLight3_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global light3_on
    light3_on = instrumentA.write_register(2,1,0,6,False)		# Запись байта 2-й пульт, 1 = 00 01; 
	
# Выключить свет в кухне		
@webiopi.macro	
def getLight3_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global light3_off
    light3_off = instrumentA.write_register(2,2,0,6,False)		# Запись байта 2-й пульт, 2 = 00 02; 		
	
	
# Включить свет в прихожей		
@webiopi.macro	
def getLight4_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global light4_on
    light4_on = instrumentA.write_register(2,3,0,6,False)		# Запись байта 2-й пульт, 3 = 00 03; 
	
# Выключить свет в прихожей		
@webiopi.macro	
def getLight4_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global light4_off
    light4_off = instrumentA.write_register(2,4,0,6,False)		# Запись байта 2-й пульт, 4 = 00 04; 	
	
	
################## СБРОС СИГНАЛА ТРЕВОГИ С ДАТЧИКОВ ################################	
	
	
# Сбросить сигнал тревоги (обнулить входы)		
@webiopi.macro	
def getReset():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global reset
    reset = instrumentA.write_register(6,0,0,6,False)		# Запись байта 6-й пульт (условно), 0 = 00 00;	
	
	
	
	
################## УПРАВЛЕНИЕ КОНДИЦИОНЕРОМ #########################################		

# Включить 20 градусов охлаждение		
@webiopi.macro	
def getFrost_20():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global frost_20
    frost_20 = instrumentA.write_register(3,1,0,6,False)		# Запись байта 3-й пульт, 1 = 00 01; 0 - знаков dex, 6 - функция
    	
# Включить 21 градус охлаждение		
@webiopi.macro	
def getFrost_21():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global frost_21
    frost_21 = instrumentA.write_register(3,2,0,6,False)		# Запись байта 3-й пульт, 2 = 00 02;
	
# Включить 22 градуса охлаждение		
@webiopi.macro	
def getFrost_22():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global frost_22
    frost_22 = instrumentA.write_register(3,3,0,6,False)		# Запись байта 3-й пульт, 3 = 00 03;	
	
# Включить 23 градуса охлаждение		
@webiopi.macro	
def getFrost_23():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global frost_23
    frost_23 = instrumentA.write_register(3,4,0,6,False)		# Запись байта 3-й пульт, 4 = 00 04;	
	
	
# Включить 24 градуса охлаждение		
@webiopi.macro	
def getFrost_24():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global frost_24
    frost_24 = instrumentA.write_register(4,1,0,6,False)		# Запись байта 4-й пульт, 1 = 00 01;		
	
	
# Включить 20 градусов нагрев		
@webiopi.macro	
def getHot_20():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global hot_20
    hot_20 = instrumentA.write_register(4,2,0,6,False)			# Запись байта 4-й пульт, 2 = 00 02; 

# Включить 21 градус нагрев		
@webiopi.macro	
def getHot_21():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global hot_21
    hot_21 = instrumentA.write_register(4,3,0,6,False)			# Запись байта 4-й пульт, 3 = 00 03; 


# Включить 22 градусa нагрев		
@webiopi.macro	
def getHot_22():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global hot_22
    hot_22 = instrumentA.write_register(4,4,0,6,False)			# Запись байта 4-й пульт, 4 = 00 04; 


# Включить 23 градуса нагрев		
@webiopi.macro	
def getHot_23():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global hot_23
    hot_23 = instrumentA.write_register(5,1,0,6,False)			# Запись байта 5-й пульт, 1 = 00 01; 

# Включить 24 градуса нагрев		
@webiopi.macro	
def getHot_24():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global hot_24
    hot_24 = instrumentA.write_register(5,2,0,6,False)			# Запись байта 5-й пульт, 2 = 00 02; 


# Выключить кондиционер		
@webiopi.macro	
def getFrost_OFF():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 2)
    global frost_off
    frost_off = instrumentA.write_register(5,3,0,6,False)			# Запись байта 5-й пульт, 3 = 00 03; 

	
	
	
################## УПРАВЛЕНИЕ 2-Х КАНАЛЬНЫМ КОНТРОЛЛЕРОМ #########################################	
	
	
# Управление каналом №1

# Включить		
@webiopi.macro	
def getCh_1_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 3)
    global out_1
    out_1 = instrumentA.write_register(1,256,0,6,False)		# Запись байта 1-канал, 256 = 01 00; 0 - знаков dex, 6 - функция
    #time.sleep(1)

# Отключить
@webiopi.macro	
def getCh_1_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 3)
    global out_1
    out_1 = instrumentA.write_register(1,512,0,6,False)		# Запись байта 1-канал, 768 = 02 00; 0 - знаков dex, 6 - функция


	
# 1 секунда
@webiopi.macro	
def getCh_1_1s():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 3)
    global out_1
    out_1 = instrumentA.write_register(1,1280,0,6,False)	# Запись байта 1-канал, 1280 = 05 00; 0 - знаков dex, 6 - функция
    

# Управление каналом №2

# Включить		
@webiopi.macro	
def getCh_2_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 3)
    global out_2
    out_2 = instrumentA.write_register(2,256,0,6,False)		# Запись байта 2-канал, 256 = 01 00; 0 - знаков dex, 6 - функция
    #time.sleep(1)

# Отключить
@webiopi.macro	
def getCh_2_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 3)
    global out_2
    out_2 = instrumentA.write_register(2,512,0,6,False)		# Запись байта 2-канал, 768 = 02 00; 0 - знаков dex, 6 - функция


	
# 1 секунда
@webiopi.macro	
def getCh_2_1s():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 3)
    global out_2
    out_2 = instrumentA.write_register(2,1280,0,6,False)	# Запись байта 2-канал, 1280 = 05 00; 0 - знаков dex, 6 - функция


	
	
################## УПРАВЛЕНИЕ 4-Х КАНАЛЬНЫМ КОНТРОЛЛЕРОМ адрес 04 #########################################	


# Включить		
@webiopi.macro	
def getContr1_ch1_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 4)
    global out1
    out1 = instrumentA.write_register(1,1,0,6,False)		# Запись байта 1-канал, 1 = 00 01; 0 - знаков dex, 6 - функция



	
# Отключить
@webiopi.macro	
def getContr1_ch1_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 4)
    global out1
    out1 = instrumentA.write_register(1,0,0,6,False)		# Запись байта 1-канал, 0 = 00 00;
	
#=============================
	
# Управление каналом №2

# Включить		
@webiopi.macro	
def getContr1_ch2_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 4)
    global out2
    out2 = instrumentA.write_register(2,1,0,6,False)		# Запись байта 2-канал, 1 = 00 01;

# Отключить
@webiopi.macro	
def getContr1_ch2_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 4)
    global out2
    out2 = instrumentA.write_register(2,0,0,6,False)		# Запись байта 2-канал, 0 = 00 00; 
	
#=============================	
	
# Управление каналом №3

# Включить		
@webiopi.macro	
def getContr1_ch3_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 4)
    global out3
    out3 = instrumentA.write_register(3,1,0,6,False)		# Запись байта 3-канал, 1 = 00 01;

# Отключить
@webiopi.macro	
def getContr1_ch3_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 4)
    global out3
    out3 = instrumentA.write_register(3,0,0,6,False)		# Запись байта 3-канал, 0 = 00 00; 
	
#=============================

# Управление каналом №4

# Включить		
@webiopi.macro	
def getContr1_ch4_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 4)
    global out4
    out4 = instrumentA.write_register(4,1,0,6,False)		# Запись байта 4-канал, 1 = 00 01;

# Отключить
@webiopi.macro	
def getContr1_ch4_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 4)
    global out4
    out4 = instrumentA.write_register(4,0,0,6,False)		# Запись байта 4-канал, 0 = 00 00; 
	
	
################## ПОЛУЧЕНИЕ СОСТОЯНИЯ ВХОДОВ 4-Х КАНАЛЬНЫМ КОНТРОЛЛЕРА адресс 04##################	
	
@webiopi.macro
def getControl1():	
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 4)
    global b0, b1, b2, b3, b4, b5, b6, b7, b8, b9, b10	
    try:	
        b0 = instrumentA.read_register(1, 0, 3)
        b1 = instrumentA.read_register(2, 0)
        b2 = instrumentA.read_register(3, 0)
        b3 = instrumentA.read_register(4, 0)
        b4 = instrumentA.read_register(5, 0)
        b5 = instrumentA.read_register(6, 0)
        b6 = instrumentA.read_register(7, 0)	
        b7 = instrumentA.read_register(8, 0)	
        b8 = instrumentA.read_register(9, 0)	
        b9 = instrumentA.read_register(10, 0)	
        b10 = instrumentA.read_register(11, 0)		# регистр знака температуры

        if b10 == 1:								# Проверка отрицательной температуры
            b8 = -b8
            print(b8)
        else:
            print(b8)

        lista = b0,b1,b2,b3,b4,b5,b6,b7,b8,b9,b10
        print("lista",lista)
	
        if b10 == 1:								# Проверка отрицательной температуры
            b8 = -b8
            print(b8)
        else:
            print(b8)
		
        return json.dumps(lista)
		
    except IOError:
#		print "Connection problem, gonna try again"
        pass	



################## УПРАВЛЕНИЕ 4-Х КАНАЛЬНЫМ КОНТРОЛЛЕРОМ адрес 05 #########################################	


# Включить		
@webiopi.macro	
def getContr1_ch1_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 5)
    global out11
    out11 = instrumentA.write_register(1,1,0,6,False)		# Запись байта 1-канал, 1 = 00 01; 0 - знаков dex, 6 - функция



	
# Отключить
@webiopi.macro	
def getContr1_ch1_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 5)
    global out11
    out11 = instrumentA.write_register(1,0,0,6,False)		# Запись байта 1-канал, 0 = 00 00;
	
#=============================
	
# Управление каналом №2

# Включить		
@webiopi.macro	
def getContr1_ch2_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 5)
    global out12
    out12 = instrumentA.write_register(2,1,0,6,False)		# Запись байта 2-канал, 1 = 00 01;

# Отключить
@webiopi.macro	
def getContr1_ch2_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 5)
    global out12
    out12 = instrumentA.write_register(2,0,0,6,False)		# Запись байта 2-канал, 0 = 00 00; 
	
#=============================	
	
# Управление каналом №3

# Включить		
@webiopi.macro	
def getContr1_ch3_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 5)
    global out13
    out13 = instrumentA.write_register(3,1,0,6,False)		# Запись байта 3-канал, 1 = 00 01;

# Отключить
@webiopi.macro	
def getContr1_ch3_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 5)
    global out13
    out13 = instrumentA.write_register(3,0,0,6,False)		# Запись байта 3-канал, 0 = 00 00; 
	
#=============================

# Управление каналом №4

# Включить		
@webiopi.macro	
def getContr1_ch4_on():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 5)
    global out14
    out14 = instrumentA.write_register(4,1,0,6,False)		# Запись байта 4-канал, 1 = 00 01;

# Отключить
@webiopi.macro	
def getContr1_ch4_off():
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 5)
    global out14
    out14 = instrumentA.write_register(4,0,0,6,False)		# Запись байта 4-канал, 0 = 00 00; 
	
	
################## ПОЛУЧЕНИЕ СОСТОЯНИЯ ВХОДОВ 4-Х КАНАЛЬНЫМ КОНТРОЛЛЕРА адресс 05##################	
	
@webiopi.macro
def getControl1():	
    instrumentA = minimalmodbus.Instrument('/dev/ttyUSB0', 5)
    global b0, b1, b2, b3, b4, b5, b6, b7, b8, b9, b10	
    try:	
        b0 = instrumentA.read_register(1, 0, 3)
        b1 = instrumentA.read_register(2, 0)
        b2 = instrumentA.read_register(3, 0)
        b3 = instrumentA.read_register(4, 0)
        b4 = instrumentA.read_register(5, 0)
        b5 = instrumentA.read_register(6, 0)
        b6 = instrumentA.read_register(7, 0)	
        b7 = instrumentA.read_register(8, 0)	
        b8 = instrumentA.read_register(9, 0)	
        b9 = instrumentA.read_register(10, 0)	
        b10 = instrumentA.read_register(11, 0)		# регистр знака температуры

        if b10 == 1:								# Проверка отрицательной температуры
            b8 = -b8
            print(b8)
        else:
            print(b8)

        lista = b0,b1,b2,b3,b4,b5,b6,b7,b8,b9,b10
        print("lista",lista)
	
        if b10 == 1:								# Проверка отрицательной температуры
            b8 = -b8
            print(b8)
        else:
            print(b8)
		
        return json.dumps(lista)
		
    except IOError:
#		print "Connection problem, gonna try again"
        pass	

	
	
	
	
	
	
	
	
	
	
	
	
	
	

    #webiopi.sleep(1)


	

